Bug 165911 - Suspend-to-disk failure on x86_64
Suspend-to-disk failure on x86_64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-13 20:36 EDT by Michel Alexandre Salim
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-27 11:34:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2005-08-13 20:36:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050719 Epiphany/1.7.4

Description of problem:
I tried suspend-to-disk as instructed:

echo platform > /sys/power/disk; echo disk > /sys/power/state

Suspending from within X or from a console (either runlevel 5 - X running on another console - or 3, with rhgb turned off for good measure; makes no difference), I get two different types of failure depending on whether the console is running on the framebuffer (vga=791) or not.

vga=791:
At first things look fine, but then the system never powers off. After power-cycling, on boot the swap partition did not contain the suspend signature and resuming failed.

Suspend output:
Stopping tasks: =================================================|
Freeing memory... done (33315 pages freed)
ACPI: PCI interrupt for device 0000:05:09.0 disabled
ACPI: PCI interrupt for device 0000:00:14.5 disabled
ACPI: PCI interrupt for device 0000:00:13.2 disabled
ACPI: PCI interrupt for device 0000:00:13.1 disabled
ACPI: PCI interrupt for device 0000:00:13.0 disabled
PM: Attempting to suspend to disk.
PM: snapshotting memory.
resume= option should be used to set suspend device<7>swsusp: critical section:
[nosave pfn 0x56c]swsusp: Need to copy 18005 pages
suspend: (pages needed: 18147 + 512 free: 96410)
alloc_pagedir(): nr_pages = 18147
create_pbe_list(): initialized 18147 PBEs
copy_data_pages(): pages to copy: 18147
[nosave pfn 0x56c]swsusp: critical section/: done (18147 pages copied)


And then nothing..

If booting into normal 80x25 console, both runlevels 3 and 5, after a very similar output to the above I get the following right underneath:

PM: writing image.
ACPI: PCI Interrupt 0000:00:13.0[A] -> GSI 19 (level, low) -> IRQ201

And then after a variable delay I might get a page-full of errors:

       <ffffffff80230843>{acpi_psx_execute+231} <ffffffff8022da7b>{acpi_os_evalu
ate_by_handle+215}
       <ffffffff80235708>{acpi_ut_release_mutex+8} <ffffffff8022dc32>{acpi_ns_ev
aluate_relative+208}
       <ffffffff8022d2b0>{acpi_evaluate_object+252} <ffffffff80238696>{acpi_ec_q
uery+185}
       <ffffffff80220124>{acpi_os_execute_deferred+0} <ffffffff80238893>{acpi_ec
_gpe_query+174}
       <ffffffff80220133>{acpi_os_execute_deferred+15} <ffffffff80145c62>{worker
_thread+479}
       <ffffffff801316f7>{default_wake_function+0} <ffffffff8012e6c4>{__wake_up_
common+64}
       <ffffffff80149bd0>{keventd_create_kthread+0} <ffffffff80145a83>{worker_th
read+0}
       <ffffffff80149bd0>{keventd_create_kthread+0} <ffffffff80149e16>{kthread+2
03}
       <ffffffff80131d9f>{schedule_tail+57} <ffffffff8010e67e>{child_rip+8}
       <ffffffff80149bd0>{keventd_create_kthread+0} <ffffffff80149d4b>{kthread+0
}
       <ffffffff8010e676>{child_rip+0}

Code: 0f 0b a3 66 d7 36 80 ff ff ff ff c2 83 07 8b 35 97 0d 36 00
RIP <ffffffff80167895>{kfree_debugcheck+292} RSP <ffff81001b43b9d8>
 <1>Fixing recursive fault but reboot is needed!

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1482_FC5

How reproducible:
Always

Steps to Reproduce:
1. echo platform > /sys/power/disk
2. echo disk > /sys/power/state
3.
  

Actual Results:  As described above; swap partition does not contain valid signature

Expected Results:  Memory written to swap partition, system turned off; on next boot resume signature detected and the swap image restored

Additional info:

HP L2000 (identical to Compaq v2000):
AMD Turion ML-37 (x86_64 2.0 GHz)
512 MB RAM (- 64 MB for video RAM) ATI Xpress 200

Swap on LVM (2.2 GB, future-proofing for RAM upgrades)
Most RPMs from Fedora 4, with the dependencies of the Rawhide kernel pulled in via yum
Comment 1 Michel Alexandre Salim 2006-02-27 11:34:01 EST
Suspend-to-RAM works sometime after test2 (with the test2 kernel),
Suspend-to-RAM and suspend-to-disk work on > test3 with test3 kernel.

Note You need to log in before you can comment on or make changes to this bug.